Subject: [xmpp] XMPP support for emergency services...

From: Bernard Aboba <[email-masked]>
Date: Tue, 8 Feb 2011 07:57:14 -0600

Recently, the issue of XMPP support for emergency services has come up in a
number of documents.   For example, in ECRIT WG, the phonebcp document (see
http://tools.ietf.org/html/draft-ietf-ecrit-phonebcp ) only mentions SIMPLE
with respect to IM support (see Section 14, ED-75), and Gunnar has raised
the question whether XMPP should also be included (see
http://www.ietf.org/mail-archive/web/ecrit/current/msg07424.html).

Similarly, the NENA document "Uses Cases and Suggested Requirements for
Non-Voice-Centric Emergency Services" (see
http://www.nena.org/information/joint/NG_Non-Voice_CentricEmergSvcs ) states
on page 13:  "Support of Extensible Messaging and Presence Protocol (XMPP)
[RFC3920,
RFC3921] and SIP SIMPLE (pager mode) [RFC3428] should be considered as a
future study item."

Now saying nothing is not necessarily a bad state if there is nothing to
say.   On the other hand, maintaining silence on the subject makes it more
likely that that questions will persist until we have documentation either
explaining how it is done, or explaining that it is not supported (and
perhaps why).

I realize that this WG probably has another (tastier) fishes to fry, but
this particular fish is out in the sun, and it seems to me that it would be
best to either refrigerate it, or toss it in the disposal.

---

From: "Richard L. Barnes" <[email-masked]>
Date: Tue, 8 Feb 2011 14:22:07 -0600

<hat type="individual" />

Hey Bernard,

Thanks for raising this issue.  One of the great things about the overall ECRIT system is that it is inherently multi-protocol, in that a PSAP can advertise whatever contacts it has (including SIP, XMPP, etc.) in its LoST records, and a caller can use whichever contacts it is capable of calling.  I myself have used Jingle in multiple ECRIT demos.  

So in the long run, it would probably be good to look at XMPP for emergency services, first to determine whether any further standardization is necessary (e.g., a minimum profile of XEPs), and then to make any necessary changes.

Phonebcp is not the document in which to do this work.  That document has been around too long, and there is an urgent need in the community for *some* sort of RFC.  Phonebcp provides a good, SIP-based, baseline set of functions that can get ECRIT deployment started.  Remember that of the three parts of an emergency call (geolocation, LoST, and calling), only the last one is specific to SIP in phonebcp, so there is a lot that will remain useful for XMPP. 

So let's do look at XMPP for emergency services, possibly as an update to phonebcp, but go ahead and let phonebcp move to RFC.

--Richard  

On Feb 8, 2011, at 7:57 AM, Bernard Aboba wrote:

> Recently, the issue of XMPP support for emergency services has come up in a number of documents.   For example, in ECRIT WG, the phonebcp document (see http://tools.ietf.org/html/draft-ietf-ecrit-phonebcp ) only mentions SIMPLE with respect to IM support (see Section 14, ED-75), and Gunnar has raised the question whether XMPP should also be included (see  http://www.ietf.org/mail-archive/web/ecrit/current/msg07424.html). 
> 
> Similarly, the NENA document "Uses Cases and Suggested Requirements for Non-Voice-Centric Emergency Services" (see http://www.nena.org/information/joint/NG_Non-Voice_CentricEmergSvcs ) states on page 13:  "Support of Extensible Messaging and Presence Protocol (XMPP) [RFC3920,
> RFC3921] and SIP SIMPLE (pager mode) [RFC3428] should be considered as a future study item."
> 
> Now saying nothing is not necessarily a bad state if there is nothing to say.   On the other hand, maintaining silence on the subject makes it more likely that that questions will persist until we have documentation either explaining how it is done, or explaining that it is not supported (and perhaps why).  
> 
> I realize that this WG probably has another (tastier) fishes to fry, but this particular fish is out in the sun, and it seems to me that it would be best to either refrigerate it, or toss it in the disposal. 
> _______________________________________________
> xmpp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xmpp